# DatoCMS Data Source

There are currently two useful utilities in this folder:

1. The configuration needed to connect to our DatoCMS graphql API, can be attained via `import '@hashicorp/nextjs-/scripts/dato/config`
2. An instance of [rivet](https://github.com/hashicorp/rivet-graphql) pre-configured with our Dato instance. See the rivet docs for more details on usage. It can generally be used as such within our apps:

   ```jsx
   import rivetQuery from '@hashicorp/nextjs-scripts/dato/client'
   import query from './query.graphql'

   function MyComponent({ someProps }) {
     return <>{JSON.stringify(someProps)}</>
   }

   export async function unstable_getStaticProps() {
     const { someProps } = await rivetQuery(query)
     return { someProps }
   }
   ```
