#!/usr/bin/env bash

mkdir -p dist

# top-level files
cp .eslintrc.js dist/
cp .stylelintrc.js dist/
cp package.json dist/
cp package-lock.json dist/
cp readme.md dist/
cp .npmignore dist/

# move the bin
cp -r ./bin dist/bin

# move css files
rsync -Ra --include '*.css' --exclude 'node_modules' . dist/

# move generator templates and markdown blocks
rsync -Ra ./generators/*/templates/* dist/
rsync -Ra ./markdown-blocks/*.md dist/
